using System;
using System.Collections.Generic;
using isnd.Interfaces;
using Newtonsoft.Json;

namespace isnd.Data.Packages.Catalog
{
    public class Page : IObject
    {
        [JsonProperty("@id")]
        public string Id { get; set; }
        
        [JsonProperty("parent")]
        public string Parent { get; set; }
        
        [JsonProperty("items")]
        public virtual List<PackageRef> Items { get; set; }
        public string CommitId { get; set; }
        public DateTime CommitTimeStamp { get; set; }
    }
}